package com.shixing.sxedit.types;


/**
 * 混合模式
 */
public enum SXBlendMode {
    Normal(0),
    /**
     * 变亮
     */
    Lighten(1),
    /**
     * 变暗
     */
    Darken(2),
    /**
     * 相乘
     */
    Multiply(3),
    /**
     * 平均
     */
    Average(4),
    /**
     * 相加
     */
    Add(5),
    /**
     * 相减
     */
    Subtract(6),
    /**
     * 相异
     */
    Difference(7),
    // Negation(8),
    // Exclusion(9),
    /**
     * 屏幕
     */
    Screen(10),
    /**
     * 叠加
     */
    Overlay(11);

    public final int value;

    SXBlendMode(int value) {
        this.value = value;
    }
}
